import { useMatchPopupStore } from 'features/MatchPopup'

import { LiveMatchPopup } from './components/LiveMatchPopup'

export * from './store'
export * from './types'

export const MatchPopup = () => {
  const { match } = useMatchPopupStore()

  return match?.live ? <LiveMatchPopup /> : null
}
